package cn.ysk.cashier.mybatis.entity;

import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * (TbShopSong)表实体类
 *
 * @author ww
 * @since 2024-07-06 14:49:47
 */
@SuppressWarnings("serial")
public class TbShopSong extends Model<TbShopSong> {

    private Integer id;
    //店铺id
    private Integer shopId;
    //歌曲名称
    private String name;
    //歌曲图片
    private String img;
    //原唱歌手
    private String originSinger;
    //演出歌手id
    private Integer singerId;
    //演出歌手名称
    private String singer;
    //单价
    private Double price;
    //点播次数
    private Integer salesNumber;
    //歌曲状态：1-开启；0-关闭
    private Integer status;
    private Integer sort;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getOriginSinger() {
        return originSinger;
    }

    public void setOriginSinger(String originSinger) {
        this.originSinger = originSinger;
    }

    public Integer getSingerId() {
        return singerId;
    }

    public void setSingerId(Integer singerId) {
        this.singerId = singerId;
    }

    public String getSinger() {
        return singer;
    }

    public void setSinger(String singer) {
        this.singer = singer;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Integer getSalesNumber() {
        return salesNumber;
    }

    public void setSalesNumber(Integer salesNumber) {
        this.salesNumber = salesNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}

